debian-stretch-titan: use dpkg to install libfftranscode

For some magic reason, apt segfaults while installing the DEBs:

  $ apt install ./libfftranscode0_0.3_${DPKG_ARCH}.deb \
                ./libfftranscode-dev_0.3_${DPKG_ARCH}.deb
  WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
  Reading package lists...
  Segmentation fault (core dumped)

so it kind of confirms the warning about its stability ;)

Change-Id: I7f3288161577b055145afe89de7dff50853760f5
changes/41/21641/3
Vadim Yanitskiy 2 years ago committed by daniel
parent 233d37ee88
commit e1e8d3c592
  1. 3
      debian-stretch-titan/Dockerfile

@ -44,5 +44,6 @@ RUN apt-get update && \
RUN DPKG_ARCH="$(dpkg --print-architecture)" && export $DPKG_ARCH && \
wget https://ftp.osmocom.org/binaries/libfftranscode/libfftranscode0_0.3_${DPKG_ARCH}.deb && \
wget https://ftp.osmocom.org/binaries/libfftranscode/libfftranscode-dev_0.3_${DPKG_ARCH}.deb && \
apt install ./libfftranscode0_0.3_${DPKG_ARCH}.deb ./libfftranscode-dev_0.3_${DPKG_ARCH}.deb && \
dpkg -i ./libfftranscode0_0.3_${DPKG_ARCH}.deb ./libfftranscode-dev_0.3_${DPKG_ARCH}.deb && \
apt install --fix-broken && \
rm libfftranscode*.deb

Loading…
Cancel
Save